## org.apache.tools.ant.util
Class CollectionUtils.EmptyEnumeration

    java.lang.Object
      |
      +--org.apache.tools.ant.util.CollectionUtils.EmptyEnumeration

All Implemented Interfaces:
  java.util.Enumeration

Enclosing class:
  CollectionUtils

public static final class CollectionUtils.EmptyEnumeration
extends java.lang.Object
implements java.util.Enumeration

Since:
  Ant 1.6

Constructor Summary
`CollectionUtils.EmptyEnumeration()`

Method Summary
`boolean` `hasMoreElements()`
`java.lang.Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionUtils.EmptyEnumeration

    public CollectionUtils.EmptyEnumeration()

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()
                                 throws java.util.NoSuchElementException

  Specified by:
    `nextElement` in interface `java.util.Enumeration`
    `java.util.NoSuchElementException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.